API Endpoint Vulnerabilities
List all API Endpoint Vulnerabilities
List ApiEndpointVulnerabilityConnectors resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
/
v1
/
resources
/
api_endpoint_vulnerability_connectors
List all API Endpoint Vulnerabilities
curl --request GET \
--url https://api.vanta.com/v1/resources/api_endpoint_vulnerability_connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/resources/api_endpoint_vulnerability_connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/resources/api_endpoint_vulnerability_connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"displayName": "<string>",
"uniqueId": "<string>",
"externalUrl": "<string>",
"occurrences": [
{
"description": "<string>",
"fromUrl": "<string>",
"queryParams": [
{
"key": "<string>",
"value": "<string>"
}
],
"headers": [
{
"key": "<string>",
"value": "<string>"
}
],
"body": "<string>"
}
],
"severity": 123,
"vulnerableComponentUniqueId": "<string>",
"description": "<string>",
"remediationInstructions": "<string>",
"url": "<string>",
"httpMethod": "<string>",
"cveId": "<string>",
"cvss3Vector": "<string>",
"cvss3Score": 123
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Show child attributes
Show child attributes
Related topics
List all Package VulnerabilitiesSync all API Endpoint VulnerabilitiesList all Static Code Analysis VulnerabilitiesList vulnerability remediationsGet vulnerabilitiesWas this page helpful?
⌘I
List all API Endpoint Vulnerabilities
